Subject: [saag] FW: RATs report - updated

From: "Smith, Ned" <[email-masked]>
Date: Wed, 29 Jul 2020 23:34:00 +0000

RATs met this week on Tuesday July 28 13:00-13:50 UTC and Wednesday July 29 11:00-12:40 UTC
We discussed the following drafts:

     *   https://datatracker.ietf.org/doc/draft-ietf-rats-tpm-based-network-device-attest/

  *   This I-D is nearing completion, but needs additional eyeballs to review / comment. Three (besides the authors and chairs) have read it and 6-7 more volunteered to review it.
  *   This I-D belongs to a collection of I-Ds having to do with TPM centric attestation.
  *   The chairs believe WGLC will happen soon.

     *   https://datatracker.ietf.org/doc/draft-ietf-rats-yang-tpm-charra/

  *   This I-D changed names slightly to focus on challenge-response-based remote attestation (CHARRA)
  *   The authors highlighted two issues (1) Should algorithm support be restricted to those supported by TPM1.2 and TPM2.0 or should IETF supported algorithms? Authors looking for responses on email list. (2) Is there a need for a new log type as TPMs use PCR profiles that influences how log entries are created.
  *   This I-D belongs to a collection of I-Ds having to do with TPM centric attestation.

     *   https://datatracker.ietf.org/doc/draft-birkholz-rats-network-device-subscription/

  *   I-D authors are looking for feedback on readiness for adoption. Please contribute to list discussion to weigh in.

     *   https://datatracker.ietf.org/doc/draft-birkholz-rats-reference-interaction-model/

  *   This I-D contains several interaction models and it isn’t clear how the WG members want to move it forward. Options are (a) stand-alone; separate I-Ds for each model, (b) stand-alone; all models in one draft, (c) move into RATS architecture draft, (d) each model finds a solution I-D.
  *   The list feedback and feedback in the room opposes option (c) and some interest in (b).
  *   Mostly not ready for call for adoption.

     *   https://datatracker.ietf.org/doc/draft-ietf-rats-architecture/

  *   Much progress has been made dispositioning issues, though a few still remain. These have mostly to do with clarifying Endorser/Endorsement role and flow. Some think it would be OK for the architecture to minimally explain these and wait for the RATS charter to more directly target this area now. The other area has to do with freshness and timing of when relevant event occur internally.
  *   An IPR concern was raised regarding composite device section in the architecture. Chairs asked to have the IPR considerations clarified in the IPR record.
  *   The feeling is this I-D is close to WGLC.

     *   https://datatracker.ietf.org/doc/draft-ietf-rats-eat/

  *   Discussion related to Endorser/Endorsement flow continued as it pertains to EAT. Some concern that depending on how the architecture draft addresses this topic will affect the EAT I-D contents.
  *   A side meeting will be held to address related topics.
  *   The authors are not recommending this I-D is ready for WGLC.

     *   https://datatracker.ietf.org/doc/draft-voit-rats-trustworthy-path-routing/

  *   This I-D belongs to a collection of I-Ds having to do with TPM centric attestation.
  *   I-D incorporates ‘trust levels’ as a way to bucket attestation results for all participating routers. There wasn’t consensus that trust levels would be meaningful outside the context of trusted path routing.
  *   The authors are interested if the WG members are interested in TPR and if the WG would proceed with adoption.

     *   https://datatracker.ietf.org/doc/draft-birkholz-rats-suit-claims/

  *   I-D introduces idea of ‘trustworthiness vectors’ a concept similar to ‘trust levels’ in TPR I-D. Use with SUIT manifests and TEEP is the expected context. The I-D has Relying Party applicability (mostly).
  *   The authors are wondering if there is WG interest.

     *   https://datatracker.ietf.org/doc/draft-birkholz-rats-uccs/

  *   I-D hasn’t changed much since the last WG meeting. Authors are soliciting review / feedback.
  *   Chairs asked how many have read it (5 people) and how many would read it (2 people) and if the WG thought it was ready for adoption. Apparent consensus was Yes.

     *   https://datatracker.ietf.org/doc/draft-shaw-rats-rear/

  *   I-D focuses on building a toolbox for RESTful interactions that incorporates attestation.
  *   Authors soliciting interest and should this work move forward.
  *   Chairs requested the discussion move to the WG email list.

We also discussed updating the milestones and checking WGLC readiness of the architecture draft.

  *   “Charra” – Targeting September for WGLC / March for publication
  *   “Interaction Models” – Call for adoption needed, pending adequate reviewer feedback
  *   “Token bind” – to be removed
  *   “EAT” – WGLC can be planned once the issue with Endorsement/Endorser descriptions in the architecture I-D can be clarified. Targeting IESG submission in 6 months.
  *   “TUDA” – No recent discussion on this. Authors assert that other I-Ds should go ahead since there are dependencies on other I-Ds. Authors felt they didn’t have bandwidth to move ahead right now.
  *   “RIV” – WGLC can be considered at the end of August.